Bug 146488 - Server gnome-obex-server crashes after file upload
Server gnome-obex-server crashes after file upload
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 14:58 EST by Andre
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 12:04:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Generated message by BugBuddy (7.09 KB, text/plain)
2005-01-28 14:59 EST, Andre
no flags Details
Bug-report generated by bug buddy 20050201 0740CET (6.50 KB, text/plain)
2005-02-01 01:42 EST, Andre
no flags Details

  None (edit)
Description Andre 2005-01-28 14:58:52 EST
Distribution: Fedora Core release 3 (Heidelberg)
Package: gnome-bluetooth
Severity: blocker
Version: GNOME2.8.0 0.5
Gnome-Distributor: Red Hat, Inc
Synopsis: Unexpected quittal of "gnome-obex-server"
Bugzilla-Product: gnome-bluetooth
Bugzilla-Component: obex
Bugzilla-Version: 0.5
BugBuddy-GnomeVersion: 2.0 (2.8.0)

Description of the crash:
Crash during upload (from Mobile-phone to PC), after confirmation and
telling the server to always accept transfers from this particular
device. Transfer does NOT take place.
Consecutively, every next time, the server doesn't ask for the device
anymore (since that option has been checked), but then it will crash
after the actual reception of the file (transfer DOES take place).

Steps to reproduce the crash:
1. Start gnome-obex-server
2. Pair your system with your mobile phone
3. Initiate transfer from the mobile
4. Confirm the response from the PC
5. Check "always accept from this device" (if not done already)

Expected Results:
Following 1 to 5, your system will crash.

How often does this happen?
ALWAYS

Additional Information:
Kernel = 2.6.10-1.741_FC3
gnome_obex_server version = 0.5.1
Mobile phone = SonyEricsson V800
File type = jpg
Size = 7 KB
Length filename = 8 characters



Debugging Information:
SEE BACKTRACE ATTACHMENT
Comment 1 Andre 2005-01-28 14:59:58 EST
Created attachment 110365 [details]
Generated message by BugBuddy
Comment 2 Harald Hoyer 2005-01-31 05:20:15 EST
Try to update to:
gnome-bluetooth-0.5.1-5.FC3.1
Comment 3 Andre 2005-02-01 01:39:38 EST
gnome-bluetooth-0.5.1-5.FC3.1 does _not_ solve the problem.
Follow the steps as specified before and after the upload, the server
tells you that it received a file and asks you what to do with it.
Choose "save"  and a crash will occur. See my second attachment.
Comment 4 Andre 2005-02-01 01:42:27 EST
Created attachment 110486 [details]
Bug-report generated by bug buddy 20050201 0740CET
Comment 5 Matthew Miller 2006-07-10 16:27:43 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 Bastien Nocera 2007-10-10 12:04:19 EDT
This is ancient, closing.

Note You need to log in before you can comment on or make changes to this bug.